The test send form and the delivery timeline of the latest test
GET
/api/v1/workspaces/{workspace}/connect/setups/{setupId}/test
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/connect/setups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/connect/setups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/connect/setups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test \ --header 'Authorization: Bearer <token>'Permission: providers:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
setupId
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
auth
object
clipped
required
boolean
dkim
required
string
dmarc
required
string
header
required
string
receiver
required
string
sizeKb
required
integer format: int64
spf
required
string
listening
required
boolean
messageId
required
string
roundTrip
required
string
seedList
required
object
key
additional properties
string
seeds
required
Array<string>
senderId
required
string
senders
required
Array<object>
object
id
required
string
label
required
string
verified
required
boolean
subject
required
string
timeline
required
Array<object>
object
at
string format: date-time
detail
required
string
key
required
string
status
required
string
title
required
string
to
required
string
Example
{ "auth": { "dkim": "pass", "dmarc": "pass", "spf": "pass" }, "timeline": [ { "key": "queued", "status": "done" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}